Paperino PL_microEPD Arduino Library
===============================================================

Welcome to the Paperino docs!

![Paperino E-Paper Shield for Particle, Breakout Board and Driver Module](https://user-images.githubusercontent.com/21104467/29744828-50b878b2-8aad-11e7-8448-8b2f45289c4c.png)  
[*Paperino E-Paper Shield for Particle, Breakout Board and Driver Module*](https://www.crowdsupply.com/robert-poser/paperino)

Hardware Library for the 1.1” E-Paper display (EPD) from Plastic Logic for Adafruits GFX library. 

Documentation
--------------
This is the place to get started with your new hardware! ;-) We have divided the documentation into the following sections:
* **[Hookup Guide](https://robpo.github.io/Paperino/)** - Step-by-step instructions to get your Paperino setup and run within minutes.
* **[Examples](https://robpo.github.io/Paperino/exampleHelloWorld/)** - Ready to use examples for your own inspiration.
* **[Reference](https://github.com/RobPo/Paperino/tree/gh-pages/datasheets)** - Datasheets & Application Notes.
* **[Hardware](https://github.com/RobPo/Paperino/tree/gh-pages/hardware)** - Schematics & PCB layouts.

### So, what is Paperino?

Paperino is an easy to use micro EPD breakout-board for the Photon or other Arduino-compatible microcontrollers. The eInk-based ePaper display mimics the appearance of natural paper and is capable of holding text and images indefinitely, even without electricity. This makes Paperino perfect for your next battery-driven, connected project where the display content changes rarely.

Paperino also integrates an easy to use accelerometer. It extends the EPD by tap-sensing functions and offers portrait/landscape detection. Furthermore you can wake-up your MCU after movement-based events from deep-sleeping, saving battery live during waiting phases.

Installation
-------------------
Recent Arduino IDE releases as well as the Particle & Arduino Web-IDEs include the **Library Manager** for easy installation. You can install this library by searching for `PL_microEPD`. 


Projects
-------------------
[![Project TrafficIndicator at Hackaday.io](https://user-images.githubusercontent.com/21104467/29744843-761172a8-8aad-11e7-8e60-a01fffbf1ea6.png)](https://hackaday.io/project/22002-trafficindicator-between-workhome-or-vice-versa) 
[![Project IoT Connected Desk Frame at Hackaday.io](https://user-images.githubusercontent.com/21104467/29744849-891f23a4-8aad-11e7-8b91-d1db8494546d.png)](https://hackaday.io/project/21638-iot-connected-picturedesk-frame) 
[![Project local rain forecast for fair weather cyclists at Hackster.io](https://user-images.githubusercontent.com/21104467/29744854-98f1e4b0-8aad-11e7-8356-7e5f55b207e4.png)](https://www.hackster.io/robert-poser/epaper-based-local-rain-forecast-for-fair-weather-cyclists-cb168c)  

Featured In
-------------------
![As Featured In](https://user-images.githubusercontent.com/21104467/29744858-a7aaefba-8aad-11e7-8f06-d41a8eaac7fb.png)

License Information
-------------------

This library is _**open source**_!

Created by Robert Poser, July 19th 2017, Dresden/Germany
Released under BSD license (3-clause BSD license), check license.txt for more informations.

We invested time and resources providing this open source code, please support Paperino and 
open source hardware @Adafruit and by purchasing this product @Crowdsupply @Paperino @Plasticlogic.

If you like this project please [follow us on Twitter](https://twitter.com/paperino_io).
Having problems or have awesome suggestions? Contact us: paperino.display@gmail.com.

